// Typography
//––––––––––––––––––––––––––––––––––––––––––––––––––

h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
  margin-bottom: 2rem;
  font-weight: 300;
  font-family: 'Cherry Swash', cursive;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: $font-color;
  &.vanilla {
    -webkit-text-fill-color: $vanilla;
  }
  &.chocolate {
    -webkit-text-fill-color: $chocolate;
  }
  &.strawberry {
    -webkit-text-fill-color: $strawberry;
  }
  &.neapolitan {
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(
        60deg,
        $strawberry 16%,
        $chocolate 33% 66%,
        $vanilla 66% 82%,
        $strawberry 82% 100%
        ) repeat-x;
	    background-size: 100% 100%;
	    background-position: 0%;
  }
  &.swirl {
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-image: linear-gradient(
    	60deg,
	    $strawberry 33%,
      $chocolate 33% 66%,
	    $vanilla 66% 100%
      );
	    background-size: 600% 600%;
	    background-position: 0%;
    animation:flavors 40s linear infinite;
  }
  
}

h1, h2, h3, h4, h5, h6, p {
  &.text-center {
    text-align: center;
  }

  &.text-left {
    text-align: left;
  }

  &.text-right {
    text-align: right;
  }

  &.text-wide {
    letter-spacing: 1rem;
  }
}

h1 { font-size: 4.0rem; line-height: 1.2;  letter-spacing: -.1rem;  }
h2 { font-size: 3.6rem; line-height: 1.25; letter-spacing: -.1rem;  }
h3 { font-size: 3.0rem; line-height: 1.3;  letter-spacing: -.1rem;  }
h4 { font-size: 2.4rem; line-height: 1.35; letter-spacing: -.08rem; }
h5 { font-size: 1.8rem; line-height: 1.5;  letter-spacing: -.05rem; }
h6 { font-size: 1.5rem; line-height: 1.6;  letter-spacing: 0;       }

// Larger than phablet
@media (#{$bp-larger-than-phablet}) {
  h1 { font-size: 5.0rem; }
  h2 { font-size: 4.2rem; }
  h3 { font-size: 3.6rem; }
  h4 { font-size: 3.0rem; }
  h5 { font-size: 2.4rem; }
  h6 { font-size: 1.5rem; }
}

p {
  margin-top: 0;
}

span {
  &.vanilla {
    color: $vanilla;
  }
  &.chocolate {
    color: $chocolate;
  }
  &.strawberry {
    color: $strawberry;
  }
}

@keyframes flavors { 
    0%{background-position:0% 50%}
    50%{background-position:100% 51%}
    100%{background-position:0% 50%}
}
